CC := gcc
CFLAGS := -O2 -ffast-math -fomit-frame-pointer
#CFLAGS := -Wall -g -O3
CFLAGS += -DHAVE_AV_CONFIG_H -I.. -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_GNU_SOURCE -D_REENTRANT
CFLAGS += -I ffmpeg-strip-wma -I `pkg-config alsaplayer --variable=alsaplayer_includedir`
LIBS := -L ffmpeg-strip-wma -lffwma -lalsaplayer -ldl -lpthread -lm

$(PLUGIN_FILE): $(OBJECTS)
	$(CC) -o $@ $^ $(LIBS) -shared -export-dynamic -avoid-version

$(OBJDIR)/%.o: %.c
	$(CC) -c -o $@ $(CFLAGS) $<

$(DEPDIR)/%.d: %.c
	$(CC) -MM $(CFLAGS) $< | sed "s/^$*\.o:/$(OBJDIR)\/$*\.o $(DEPDIR)\/$*\.d:/" > $@

-include $(DEPS)
